Search Zones - Fabric

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Search Zones

cURL

curl --request POST \
  --url 'https://api.fabric.inc/v3/location-zones/search?limit=10' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
  --data '
{
  "sort": "-zone.createdAt",
  "filters": [
    {
      "field": "zone.zoneName",
      "value": "US_ZONE",
      "condition": "EQ"
    },
    {
      "field": "zone.locations.locationNumber",
      "values": [
        "1",
        "2"
      ],
      "condition": "IN"
    }
  ]
}
'```

```python
import requests

url = "https://api.fabric.inc/v3/location-zones/search?limit=10"

payload = {
    "sort": "-zone.createdAt",
    "filters": [
        {
            "field": "zone.zoneName",
            "value": "US_ZONE",
            "condition": "EQ"
        },
        {
            "field": "zone.locations.locationNumber",
            "values": ["1", "2"],
            "condition": "IN"
        }
    ]
}
headers = {
    "x-fabric-tenant-id": "<x-fabric-tenant-id>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'x-fabric-tenant-id': '<x-fabric-tenant-id>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    sort: '-zone.createdAt',
    filters: [
      {field: 'zone.zoneName', value: 'US_ZONE', condition: 'EQ'},
      {field: 'zone.locations.locationNumber', values: ['1', '2'], condition: 'IN'}
    ]
  })
};

fetch('https://api.fabric.inc/v3/location-zones/search?limit=10', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.fabric.inc/v3/location-zones/search?limit=10",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "", 
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'sort' => '-zone.createdAt',
    'filters' => [
        [
                'field' => 'zone.zoneName',
                'value' => 'US_ZONE',
                'condition' => 'EQ'
        ],
        [
                'field' => 'zone.locations.locationNumber',
                'values' => ['1', '2'],
                'condition' => 'IN'
        ]
    ]
]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-fabric-tenant-id: <x-fabric-tenant-id>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.fabric.inc/v3/location-zones/search?limit=10"

payload := strings.NewReader("{\n  \"sort\": \"-zone.createdAt\",\n  \"filters\": [\n    {\n      \"field\": \"zone.zoneName\",\n      \"value\": \"US_ZONE\",\n      \"condition\": \"EQ\"\n    },\n    {\n      \"field\": \"zone.locations.locationNumber\",\n      \"values\": [\n        \"1\",\n        \"2\"\n      ],\n      \"condition\": \"IN\"\n    }\n  ]\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/location-zones/search?limit=10")
  .header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"sort\": \"-zone.createdAt\",\n  \"filters\": [\n    {\n      \"field\": \"zone.zoneName\",\n      \"value\": \"US_ZONE\",\n      \"condition\": \"EQ\"\n    },\n    {\n      \"field\": \"zone.locations.locationNumber\",\n      \"values\": [\n        \"1\",\n        \"2\"\n      ],\n      \"condition\": \"IN\"\n    }\n  ]\n}")
  .asString();
require 'uri'
require 'net/http'

url = URI("https://api.fabric.inc/v3/location-zones/search?limit=10")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"sort\": \"-zone.createdAt\",\n  \"filters\": [\n    {\n      \"field\": \"zone.zoneName\",\n      \"value\": \"US_ZONE\",\n      \"condition\": \"EQ\"\n    },\n    {\n      \"field\": \"zone.locations.locationNumber\",\n      \"values\": [\n        \"1\",\n        \"2\"\n      ],\n      \"condition\": \"IN\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body

Response Examples

Successful Response

{
  "pagination": {
    "limit": 10,
    "offset": 1,
    "count": 1000
  },
  "data": [
    {
      "zoneName": "US_LOCATIONS",
      "zoneType": "ABSOLUTE",
      "zoneId": "9372919a8219e8",
      "description": "Specific zone for US Locations",
      "locations": [
        {
          "priority": 1,
          "locationNumber": 23
        }
      ],
      "tiers": [
        {
          "filters": [
            {
              "field": "location.locationNum",
              "condition": "EQ",
              "value": "<unknown>",
              "group": "GroupA"
            }
          ],
          "sort": "+location.createdAt",
          "tier": 123
        }
      ],
      "createdAt": "2022-05-12T09:30:31.198Z",
      "updatedAt": "2022-05-12T09:30:31.198Z"
    }
  ],
  "stats": [
    "<string>"
  ]
}

Client Error Response

{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4003",
  "message": "Mandatory param(s): `requiredField1` is/are missing",
  "errors": [
    {
      "type": "CLIENT_ERROR",
      "errorCode": "SERVICE-4002",
      "message": "Invalid value(s) specified for 'requiredField.field3'",
      "errors": []
    }
  ],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders"
  }
}
{
  "type": "CLIENT_ERROR",
  "errorCode": "SERVICE-4001",
  "message": "Unauthorized request",
  "errors": [],
  "context": {
    "service": "orders",
    "endpoint": "POST /v3/orders/OrderId_12345"
  }
}
{
  "type": "SERVER_ERROR",
  "errorCode": "SERVICE-5000",
  "message": "Internal server error",
  "errors": [],
  "context": {
    "service": "inventories",
    "endpoint": "POST /v3/inventories/actions/find-by-geography"
  }
}

Authorizations

Headers

Query Parameters

Body